# This file created by conda-build 3.20.5
# ------------------------------------------------

package:
    name: hdf5
    version: 1.10.6
source:
    patches:
        - patches/fix_curl_nobody.patch
        - patches/test_Makefile.in_1106.patch
        - patches/testpar_Makefile.in.patch
    sha256: 5f9a3ee85db4ea1d3b1fa9159352aebc2af72732fc2f58c96a3f0768dba0e9aa
    url: https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.10/hdf5-1.10.6/src/hdf5-1.10.6.tar.gz
build:
    number: 1114
    run_exports:
        - hdf5 >=1.10.6,<1.10.7.0a0
    string: nompi_h6a2412b_1114
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - binutils_impl_linux-64 2.35.1 h193b22a_1
        - binutils_linux-64 2.35 hc3fd857_29
        - gcc_impl_linux-64 9.3.0 h28f5a38_17
        - gcc_linux-64 9.3.0 h7247604_29
        - gfortran_impl_linux-64 9.3.0 h2bb4189_17
        - gfortran_linux-64 9.3.0 ha1c937c_29
        - gxx_impl_linux-64 9.3.0 h53cdd4c_17
        - gxx_linux-64 9.3.0 h0d07fa4_29
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - ld_impl_linux-64 2.35.1 hea4e1c9_1
        - libgcc-devel_linux-64 9.3.0 hfd08b2a_17
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgfortran5 9.3.0 he4bcb1c_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libstdcxx-devel_linux-64 9.3.0 h4084dd6_17
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - libtool 2.4.6 h58526e2_1007
        - make 4.3 hd18ef5c_1
        - sysroot_linux-64 2.12 h77966d4_13
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - c-ares 1.17.1 h36c2ea0_0
        - ca-certificates 2020.12.5 ha878542_0
        - krb5 1.17.2 h926e7f8_0
        - libcurl 7.71.1 hcdd3856_8
        - libedit 3.1.20191231 he28a2e2_2
        - libev 4.33 h516909a_1
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgfortran-ng 9.3.0 he4bcb1c_17
        - libgfortran5 9.3.0 he4bcb1c_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libnghttp2 1.41.0 h8cfc5f6_2
        - libssh2 1.9.0 hab1572f_5
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - ncurses 6.2 h58526e2_4
        - openssl 1.1.1i h7f98852_0
        - tk 8.6.10 h21135ba_1
        - zlib 1.2.11 h516909a_1010
    run:
        - libcurl >=7.71.1,<8.0a0
        - libcurl >=7.71.1,<8.0a0
        - libgcc-ng >=9.3.0
        - libgfortran-ng
        - libgfortran5 >=9.3.0
        - libstdcxx-ng >=9.3.0
        - openssl >=1.1.1i,<1.1.2a
        - openssl >=1.1.1i,<1.1.2a
        - zlib >=1.2.11,<1.3.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - command -v h5c++
        - command -v h5cc
        - command -v h5fc
        - command -v h5redeploy
        - command -v h5perf_serial
        - command -v gif2h5
        - command -v h52gif
        - command -v h5copy
        - command -v h5debug
        - command -v h5diff
        - command -v h5dump
        - command -v h5import
        - command -v h5jam
        - command -v h5ls
        - command -v h5mkgrp
        - command -v h5repack
        - command -v h5repart
        - command -v h5stat
        - command -v h5unjam
        - test -f $PREFIX/lib/libhdf5${SHLIB_EXT}
        - test -f $PREFIX/lib/libhdf5_cpp${SHLIB_EXT}
        - test -f $PREFIX/lib/libhdf5_hl${SHLIB_EXT}
        - test -f $PREFIX/lib/libhdf5_hl_cpp${SHLIB_EXT}
        - h5dump --filedriver=ros3 "http://s3.amazonaws.com/hdfgroup/data/hdf5demo/tall.h5"
            | grep '^HDF5'
    files:
        - compound_fortran2003.f90
        - h5_cmprss.c
        - h5_cmprss.f90
        - h5tutr_cmprss.cpp
    requires:
        - gcc_linux-64 9.*
        - gfortran_linux-64 9.*
        - gxx_linux-64 9.*
        - pkg-config
about:
    home: http://www.hdfgroup.org/HDF5/
    license: LicenseRef-HDF5
    license_family: BSD
    license_file: COPYING
    summary: HDF5 is a data model, library, and file format for storing and managing
        data
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - SylvainCorlay
        - astrofrog-conda-forge
        - davidbrochart
        - gillins
        - groutr
        - jakirkham
        - marcelotrevisani
        - marqh
        - ocefpaf
        - scopatz
